(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"},
		{src:"images/gfxSound.png", id:"gfxSound"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,517,425);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,147,41);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,396,41);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,221,41);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,231,41);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,571,432);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1149,199);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,229,41);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,144,41);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,222,42);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,184,41);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,267,41);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,226,41);


(lib.gfxSound = function() {
	this.initialize(img.gfxSound);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,64,46);


(lib.soundPlayer = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.gfxSound();
	this.instance.setTransform(-32,-23);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-32,-23,64,46);
p.frameBounds = [rect];


(lib._10 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(-0.5,-0.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-0.5,-0.6,222,42);
p.frameBounds = [rect];


(lib._09 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(-0.5,-0.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-0.5,-0.6,144,41);
p.frameBounds = [rect];


(lib._08 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(-0.5,-0.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-0.5,-0.6,229,41);
p.frameBounds = [rect];


(lib._07 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(-0.5,-0.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-0.5,-0.6,267,41);
p.frameBounds = [rect];


(lib._06 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(-0.5,-0.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-0.5,-0.6,184,41);
p.frameBounds = [rect];


(lib._05 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(-0.5,-0.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-0.5,-0.6,231,41);
p.frameBounds = [rect];


(lib._04 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(-0.5,-0.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-0.5,-0.6,221,41);
p.frameBounds = [rect];


(lib._03 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(-0.5,-0.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-0.5,-0.6,396,41);
p.frameBounds = [rect];


(lib._02 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(-0.5,-0.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-0.5,-0.6,147,41);
p.frameBounds = [rect];


(lib._01 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(-0.5,-0.6);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-0.5,-0.6,226,41);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '13235',
			title: 'Rozwiąż krzyżówkę. Przeczytaj uważnie pytanie, wybierz hasło z dostępnej listy i umieść w odpowiednim miejscu krzyżówki.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			endsound: '13235_1',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5',	
				/*drop_6:*/ '6',	
				/*drop_7:*/ '7',	
				/*drop_8:*/ '8',	
				/*drop_9:*/ '9',		
				/*drop_10:*/ '10',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// as
	this.sound_1 = new lib.soundPlayer();
	this.sound_1.setTransform(-51.2,22.5);

	this.timeline.addTween(cjs.Tween.get(this.sound_1).wait(1));

	// content
	this.drop_3 = new lib._10();
	this.drop_3.setTransform(879.9,439.3,1,1,0,0,0,120.5,20.9);

	this.drop_2 = new lib._09();
	this.drop_2.setTransform(876.9,397.8,1,1,0,0,0,81.8,20.4);

	this.drop_1 = new lib._08();
	this.drop_1.setTransform(916.3,357.3,1,1,0,0,0,124.2,19.9);

	this.drop_5 = new lib._07();
	this.drop_5.setTransform(898.7,317.8,1,1,0,0,0,143.3,20.4);

	this.drop_4 = new lib._06();
	this.drop_4.setTransform(776.9,276.8,1,1,0,0,0,101.8,20.4);

	this.drop_10 = new lib._05();
	this.drop_10.setTransform(920.7,234.8,1,1,0,0,0,125,20.4);

	this.drop_9 = new lib._04();
	this.drop_9.setTransform(796.1,193.8,1,1,0,0,0,120,20.4);

	this.drop_8 = new lib._03();
	this.drop_8.setTransform(998.9,151.3,1,1,0,0,0,207.8,19.9);

	this.drop_7 = new lib._02();
	this.drop_7.setTransform(754.5,111.5,1,1,0,0,0,83.4,19.9);

	this.drop_6 = new lib._01();
	this.drop_6.setTransform(878.1,70.5,1,1,0,0,0,123.7,19.9);

	this.instance = new lib.Bitmap1();
	this.instance.setTransform(20,74);

	this.drag_3 = new lib._10();
	this.drag_3.setTransform(212.9,657.2,1,1,0,0,0,120.5,20.9);

	this.drag_2 = new lib._09();
	this.drag_2.setTransform(174.4,606.3,1,1,0,0,0,81.8,20.4);

	this.drag_1 = new lib._08();
	this.drag_1.setTransform(215.3,556,1,1,0,0,0,124.2,19.9);

	this.drag_5 = new lib._07();
	this.drag_5.setTransform(555.9,607.8,1,1,0,0,0,143.3,20.4);

	this.drag_4 = new lib._06();
	this.drag_4.setTransform(514.4,556.9,1,1,0,0,0,101.8,20.4);

	this.drag_10 = new lib._05();
	this.drag_10.setTransform(920.7,674.8,1,1,0,0,0,125,20.4);

	this.drag_9 = new lib._04();
	this.drag_9.setTransform(914.1,624.8,1,1,0,0,0,120,20.4);

	this.drag_8 = new lib._03();
	this.drag_8.setTransform(1001.6,576.3,1,1,0,0,0,207.8,19.9);

	this.drag_7 = new lib._02();
	this.drag_7.setTransform(876.5,527.4,1,1,0,0,0,83.4,19.9);

	this.drag_6 = new lib._01();
	this.drag_6.setTransform(535.1,661.7,1,1,0,0,0,123.7,19.9);

	this.instance_1 = new lib.Bitmap2();
	this.instance_1.setTransform(639.2,44);

	this.instance_2 = new lib.Bitmap3();
	this.instance_2.setTransform(70.9,507.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1},{t:this.drag_6},{t:this.drag_7},{t:this.drag_8},{t:this.drag_9},{t:this.drag_10},{t:this.drag_4},{t:this.drag_5},{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.instance},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_4},{t:this.drop_5},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(-83.2,-0.5,1303.1,707);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(556.8,359.5,1303.1,707);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;